List scheduled reports
curl --request GET \
--url https://api.qonversion.io/v4/scheduled-reports \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.qonversion.io/v4/scheduled-reports"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.qonversion.io/v4/scheduled-reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.qonversion.io/v4/scheduled-reports"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.qonversion.io/v4/scheduled-reports")
.header("Authorization", "Bearer <token>")
.asString();{
"object": "list",
"url": "/v4/scheduled-reports",
"data": [
{
"object": "scheduled_report",
"id": "wbRlfw1x",
"url": "/v4/scheduled-reports/wbRlfw1x",
"report_name": "Daily Revenue",
"send_at": "09:00",
"included_range_days": 1,
"status": "active",
"environment": "production",
"runs": 14,
"destinations": [
{
"type": "target_integration",
"id": "int-wh-01",
"label": "Webhooks: Release alerts"
}
],
"created_at": "2026-04-23T11:44:36Z",
"updated_at": "2026-04-23T11:44:36Z"
}
],
"has_more": false
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}Scheduled Reports
List scheduled reports
Returns all scheduled reports for the authenticated project.
GET
/
scheduled-reports
List scheduled reports
Authorizations
Bearer authentication using the project Secret Key (prefixed with sk_, or test_sk_ for sandbox). All v4 public endpoints require the Secret Key — see Authentication. Never expose the Secret Key in client-side code.
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0⌘I